package ru.ulstu.admin.service;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import ru.ulstu.admin.model.IndicatorForm;

@Controller
@RequestMapping("/admin")
public class AdminController {
    private final AdminService adminService;

    public AdminController(AdminService adminService) {
        this.adminService = adminService;
    }

    @GetMapping("indicators")
    public String getListOfIndicators(Model model) {
        model.addAttribute("indicators", adminService.getIndicators());
        return "indicatorsList";
    }

    @PostMapping("addIndicator")
    public String addIndicator(IndicatorForm indicatorForm, Model model) {
        adminService.saveIndicator(indicatorForm);
        return "indicatorsList";
    }
}
